GroupChangeEvent.GroupChangeType (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.rep.monitor

## Enum GroupChangeEvent.GroupChangeType

- java.lang.Object
- - java.lang.Enum<GroupChangeEvent.GroupChangeType>
  - - com.sleepycat.je.rep.monitor.GroupChangeEvent.GroupChangeType

- All Implemented Interfaces:
    Serializable, Comparable<GroupChangeEvent.GroupChangeType>
  Enclosing class:
    GroupChangeEvent

      public static enum GroupChangeEvent.GroupChangeType
      extends Enum<GroupChangeEvent.GroupChangeType>

  The kind of GroupChangeEvent.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD` A new node was `added` to the replication group.
    `REMOVE` A node was `removed` from the replication group.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroupChangeEvent.GroupChangeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GroupChangeEvent.GroupChangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final GroupChangeEvent.GroupChangeType ADD

      A new node was `added` to the replication group.

    - #### REMOVE

          public static final GroupChangeEvent.GroupChangeType REMOVE

      A node was `removed` from the replication group.

  - ### Method Detail

    - #### values

          public static GroupChangeEvent.GroupChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupChangeEvent.GroupChangeType c : GroupChangeEvent.GroupChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupChangeEvent.GroupChangeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.